#
# spec file for package xfce4-branding-openSUSE
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define libxfce4ui_gtk3_libname libxfce4ui-2-0
%define libexo_libname          libexo-1-0

%define xfce4_panel_version     %(rpm -q --queryformat '%%{VERSION}' xfce4-panel)
%define xfce4_session_version   %(rpm -q --queryformat '%%{VERSION}' xfce4-session)
%define xfce4_settings_version  %(rpm -q --queryformat '%%{VERSION}' xfce4-settings)
%define xfdesktop_version       %(rpm -q --queryformat '%%{VERSION}' xfdesktop)
%define libgarcon_version       %(rpm -q --queryformat '%%{VERSION}' libgarcon-data)
%define libxfce4ui_version      %(rpm -q --queryformat '%%{VERSION}' %{libxfce4ui_gtk3_libname})
%define xfce4_notifyd_version   %(rpm -q --queryformat '%%{VERSION}' xfce4-notifyd)
%define exo_version             %(rpm -q --queryformat '%%{VERSION}' %{libexo_libname})
%define xfwm4_version           %(rpm -q --queryformat '%%{VERSION}' xfwm4)
%define xfce4_power_manager_version %(rpm -q --queryformat '%%{VERSION}' xfce4-power-manager)
%define thunar_volman_version   %(rpm -q --queryformat '%%{VERSION}' thunar-volman)

Name:           xfce4-branding-openSUSE
Version:        4.20.0+git1.d2555b3
Release:        1.4
Summary:        openSUSE Branding of the Xfce Desktop Environment
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
URL:            https://github.com/openSUSE/xfce4-branding-openSUSE/tree/4.16
Source0:        %{name}-%{version}.tar.zst
BuildRequires:  %{libxfce4ui_gtk3_libname}
BuildRequires:  fdupes
BuildRequires:  libgarcon-data
BuildRequires:  wallpaper-branding
# owns %%{_datadir}/applications/xfce-mimeapps.list symlink target
Requires:       libgio-2_0-0
# for regenerating xfce-mimeapps.list
BuildRequires:  desktop-file-utils
BuildRequires:  adwaita-xfce-icon-theme
BuildRequires:  gtk2-metatheme-greybird-geeko
BuildRequires:  gtk3-metatheme-greybird-geeko
BuildRequires:  hack-fonts
BuildRequires:  metatheme-greybird-geeko-common
BuildRequires:  noto-coloremoji-fonts
BuildRequires:  noto-sans-fonts
BuildRequires:  thunar-volman
BuildRequires:  xfce4-notifyd
BuildRequires:  xfce4-panel
BuildRequires:  xfce4-power-manager
BuildRequires:  xfce4-session
BuildRequires:  xfce4-settings
BuildRequires:  xfdesktop
BuildRequires:  xfwm4
BuildRequires:  xfwm4-branding-upstream
BuildRequires:  zstd
BuildArch:      noarch

%description
This package provides the openSUSE look and feel for the Xfce desktop environment.

%package -n xfce4-panel-branding-openSUSE
Summary:        openSUSE Branding of xfce4-panel
# uses xfce4-panel-plugin-mixer
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Recommends:     pavucontrol
Recommends:     xfce4-panel-plugin-power-manager
Recommends:     xfce4-panel-plugin-pulseaudio
# require. Because without this, many things (package-update-indicator...) will not work well, it's not really optional.
Requires:       xfce4-panel-plugin-whiskermenu
Conflicts:      otherproviders(xfce4-panel-branding)
Provides:       xfce4-panel-branding = %{xfce4_panel_version}
Supplements:    packageand(xfce4-panel:branding-openSUSE)

%description -n xfce4-panel-branding-openSUSE
This package provides the openSUSE look and feel for the Xfce Panel.

%package -n xfce4-session-branding-openSUSE
Summary:        openSUSE Branding of xfce4-session
# owns %%{_datadir}/applications/xfce-mimeapps.list symlink target
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Requires:       libgio-2_0-0
# for regenerating xfce-mimeapps.list
Requires:       desktop-file-utils
Requires:       adwaita-xfce-icon-theme
Requires:       gtk2-metatheme-greybird-geeko
Requires:       gtk3-metatheme-greybird-geeko
Requires:       metatheme-greybird-geeko-common
Requires:       thunar-volman
Conflicts:      otherproviders(xfce4-session-branding)
Provides:       xfce4-session-branding = %{xfce4_session_version}
Supplements:    packageand(xfce4-session:branding-openSUSE)

%description -n xfce4-session-branding-openSUSE
This package provides the openSUSE look and feel for the Xfce Session Manager.

%package -n xfce4-settings-branding-openSUSE
Summary:        openSUSE Branding of xfce4-settings
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Requires:       adwaita-xfce-icon-theme
Requires:       adwaita-xfce-icon-theme
Requires:       desktop-data-openSUSE
Requires:       gtk2-metatheme-adwaita
Requires:       gtk2-metatheme-greybird-geeko
Requires:       gtk3-metatheme-adwaita
Requires:       gtk3-metatheme-greybird-geeko
Requires:       hack-fonts
Requires:       metatheme-greybird-geeko-common
Requires:       noto-coloremoji-fonts
Requires:       noto-sans-fonts
Conflicts:      otherproviders(xfce4-settings-branding)
Provides:       xfce4-settings-branding = %{xfce4_settings_version}
Supplements:    packageand(xfce4-settings:branding-openSUSE)

%description -n xfce4-settings-branding-openSUSE
This package provides the openSUSE look and feel for Xfce.

%package -n xfdesktop-branding-openSUSE
Summary:        openSUSE Branding of xfdesktop
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Requires:       desktop-data-openSUSE
Requires:       wallpaper-branding
Conflicts:      otherproviders(xfdesktop-branding)
Provides:       xfce4-desktop-branding-openSUSE = %{xfdesktop_version}
Provides:       xfdesktop-branding = %{xfdesktop_version}
Obsoletes:      xfce4-desktop-branding-openSUSE < %{xfdesktop_version}
Supplements:    packageand(xfdesktop:branding-openSUSE)

%description -n xfdesktop-branding-openSUSE
This package provides the openSUSE look and feel for the Xfce Desktop Manager.

%package -n libgarcon-branding-openSUSE
Summary:        openSUSE Branding of libgarcon
License:        CC-BY-SA-3.0 AND GPL-2.0-only
Group:          System/GUI/XFCE
Requires:       desktop-data-openSUSE
Requires:       wallpaper-branding
# xfce-applications.menu requires xfce-settings-manager.menu
Requires:       xfce4-settings-branding-openSUSE = %{version}
# the menu references xfce4-about.desktop
Requires:       libxfce4ui-tools
Conflicts:      otherproviders(libgarcon-branding)
Provides:       libgarcon-branding = %{libgarcon_version}
Supplements:    packageand(libgarcon-data:branding-openSUSE)

%description -n libgarcon-branding-openSUSE
This package provides the openSUSE look and feel for Garcon.

%package -n libxfce4ui-branding-openSUSE
Summary:        openSUSE Branding of libxfce4ui
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Conflicts:      otherproviders(libxfce4ui-branding)
Provides:       libxfce4ui-branding = %{libxfce4ui_version}
Supplements:    packageand(%{libxfce4ui_gtk3_libname}:branding-openSUSE)

%description -n libxfce4ui-branding-openSUSE
This package provides the openSUSE look and feel for the libxfce4ui library.

%package -n xfce4-notifyd-branding-openSUSE
Summary:        openSUSE Branding of xfce4-notifyd
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Conflicts:      otherproviders(xfce4-notifyd-branding)
Provides:       xfce4-notifyd-branding = %{xfce4_notifyd_version}
Supplements:    packageand(xfce4-notifyd:branding-openSUSE)

%description -n xfce4-notifyd-branding-openSUSE
This package provides the openSUSE look and feel for the Xfce Notification Daemon.

%package -n xfwm4-branding-openSUSE
Summary:        openSUSE Branding of xfwm4
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Requires:       noto-sans-fonts
Conflicts:      otherproviders(xfwm4-branding)
Provides:       xfwm4-branding = %{xfwm4_version}
Supplements:    packageand(xfwm4:branding-openSUSE)

%description -n xfwm4-branding-openSUSE
This package provides the openSUSE look and feel for the xfwm4 window manager.

%package -n xfce4-power-manager-branding-openSUSE
Summary:        openSUSE Branding of xfce4-power-manager
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Conflicts:      otherproviders(xfce4-power-manager-branding)
Provides:       xfce4-power-manager-branding = %{xfce4_power_manager_version}
Supplements:    packageand(xfce4-power-manager:branding-openSUSE)

%description -n xfce4-power-manager-branding-openSUSE
This package provides the openSUSE look and feel for the Xfce Power Manager.

%package -n thunar-volman-branding-openSUSE
Summary:        openSUSE Branding of thunar-volman
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later
Group:          System/GUI/XFCE
Conflicts:      otherproviders(thunar-volman-branding)
Provides:       thunar-volman-branding = %{thunar_volman_version}
Supplements:    packageand(thunar-volman:branding-openSUSE)

%description -n thunar-volman-branding-openSUSE
This package provides the openSUSE look and feel for the Thunar Volume Manager.

%prep
%autosetup -n %{name}-%{version}

%build

%install
%if 0%{?suse_version} < 1550 && 0%{?is_opensuse}
# Make sure Adwaita cursor theme is used in QT applications boo#1178511
echo -e "[Icon Theme]\nInherits=Adwaita" > index.theme
mkdir -p %{buildroot}%{_datadir}/icons/default/
mv ./index.theme %{buildroot}%{_datadir}/icons/default/
%endif

# find overlay directory with the highest version less or equal to
# %%suse_version
for dir in [[:digit:]]*; do
    if [ ! -d "${dir}" ]; then
        continue
    elif [ "${dir}" -le "0%{?suse_version}" ]; then
        if [ -z "${overlay_version}" ] ||\
                [ "${dir}" -gt "${overlay_version}" ]; then
            overlay_version="${dir}"
        fi
    fi
done
for dir in base "${overlay_version}"; do
    if [ -d "${dir}" ]; then
    (
        cd $dir
        find . -depth -print | cpio -puvd %{buildroot}
    )
    fi
done

# Installing default wallpapers symlinks
mkdir -p %{buildroot}%{_datadir}/wallpapers/xfce/

for i in $(ls /usr/share/wallpapers/openSUSEdefault/contents/images/); do
    ln -s %{_datadir}/wallpapers/openSUSEdefault/contents/images/$i %{buildroot}%{_datadir}/wallpapers/xfce/
done

%if 0%{?sle_version} == 150500 && 0%{?is_opensuse}
ln -s %{_datadir}/wallpapers/openSUSEdefault/contents/images/1920x1200.jpg %{buildroot}%{_datadir}/wallpapers/xfce/default.wallpaper
%else
ln -s %{_datadir}/wallpapers/openSUSEdefault/contents/images/1920x1200.png %{buildroot}%{_datadir}/wallpapers/xfce/default.wallpaper
%endif

%files -n xfce4-panel-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/whiskermenu
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/whiskermenu/defaults.rc
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
%{_datadir}/pixmaps/xfce4-suse.png
%{_datadir}/pixmaps/xfce4-opensuse-white.svg
%{_datadir}/icons/hicolor/*

%files -n xfce4-session-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%config %{_sysconfdir}/xfce_defaults.conf
%dir %{_datadir}/applications
%{_datadir}/applications/xfce-mimeapps.list

%files -n xfce4-settings-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%dir %{_sysconfdir}/xdg/menus
%config %{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%config %{_sysconfdir}/xdg/xfce4/helpers.rc
%if 0%{?suse_version} < 1550 && 0%{?is_opensuse}
%dir %{_datadir}/icons/default
%{_datadir}/icons/default/index.theme
%endif

%files -n xfdesktop-branding-openSUSE
%license COPYING
%dir %{_datadir}/wallpapers/xfce
%{_datadir}/wallpapers/xfce/default.wallpaper
%if 0%{?sle_version} == 150500 && 0%{?is_opensuse}
%{_datadir}/wallpapers/xfce/*.jpg
%else
%{_datadir}/wallpapers/xfce/*.png
%endif
%dir %{_sysconfdir}/xdg/xfce4/xfconf/
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml

%files -n libgarcon-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/menus
%dir %{_datadir}/desktop-directories
%config %{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_datadir}/desktop-directories/YaST.directory

%files -n libxfce4ui-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml

%files -n xfce4-notifyd-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-notifyd.xml
%{_datadir}/themes/openSUSE-Xfce

%files -n xfwm4-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml

%files -n xfce4-power-manager-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml

%files -n thunar-volman-branding-openSUSE
%license COPYING
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/thunar-volman.xml

%changelog
* Wed Jan  1 2025 maurizio.galli@suse.com
- Update to version 4.20.0+git1.d2555b3:
  * statusnotifier was merged with systray upstream
  * Removed obsolete 0001-cleanup-panel-config.patch as fixed upstream
* Wed Jan  1 2025 Manfred Hollstein <manfred.h@gmx.net>
- Add 0001-cleanup-panel-config.patch to remove an additional start
  of plugin statusnotifier in a new session; its name is systray now
  and it gets always started, no need to start it manually.
* Mon Dec 16 2024 maurizio.galli@suse.com
- Update to version 4.20.0+git0.2e4d938:
  * Removed no longer used wallpapers symlinks
  * Sync with upstream version of Xfce 4.20
* Mon Dec 16 2024 Maurizio Galli <maurizio.galli@suse.com>
- Simplified way symlinks to default wallpapers are created and handled
  across different distributions
* Fri Nov  8 2024 maurizio.galli@suse.com
- Update to version 4.18.0+git6.02f3c99:
  * Added symlinks for wallpapers in Leap 15.6
* Wed Oct 30 2024 Maurizio Galli <maurizio.galli@suse.com>
- Updated Tumbleweed wallpaper symlinks
* Thu Apr 11 2024 Maurizio Galli <maurizio.galli@suse.com>
- Update to version 4.18.0+git4.79f6d44:
  * Fix wallpaper folder structure
  * Better split tumbleweed and leap wallpapers
  * Added old wallpaper symlinks still needed by leap
* Tue Apr  9 2024 lubos.kocman@suse.com
- Update to version 4.18.0+git1.8b02118:
  * Tumbleweed now uses png for default.wallpaper
* Wed Apr  5 2023 maurizio.galli@gmail.com
- Update to version 4.18.0+git0.9a2f754:
  * Include all the wallpaper sizes and use better resolution for the default (bsc#1209970)
* Tue Jun 28 2022 maurizio.galli@gmail.com
- Update to version 4.16.1+git0.77ba799:
  * Changed icon theme to adwaita-xfce as it obsoletes openSUSE-xfce
  * Modified gtk theme naming to follow upstream name change
  * Update default xfwm4 theme to follow upstream name change
  * Switch notication bubble theme to Default
  * Update README.md
  * Switch sources to https://code.opensuse.org/xfce/xfce4-branding-openSUSE
* Mon Jun 21 2021 maurizio.galli@gmail.com
- Update to version 4.16.0+git7.8b06717:
  * Update deprecated exo entries to new files (boo#1187523)
* Wed Jun  2 2021 Marcel Kuehlhorn <tux93@opensuse.org>
- Enable the fix for boo#1178511 on all Leap versions
* Tue Jan 12 2021 Maurizio Galli <maurizio.galli@gmail.com>
- Upstrem dropped libxfce4ui-1-0. Dependency no longer needed.
* Sat Jan  2 2021 maurizio.galli@gmail.com
- Update to version 4.16.0+git6.add0468:
  * Restored menu icons and saner defaults
* Sun Dec 27 2020 maurizio.galli@gmail.com
- Update to version 4.16.0+git5.d1e3468:
  * Correct typo in default icon name
  * Fixed xfce4-desktop.xml file:
    Disable desktop-menu and windowlist-menu by default
* Sat Dec 26 2020 maurizio.galli@gmail.com
- Update to version 4.16.0+git2.fca5bce:
  * Update mimeapps to use evince and file-roller
  * Define evince and file-roller as defaults
* Sun Dec 20 2020 maurizio.galli@gmail.com
- Update to version 4.16.0+git0.1963cf9:
  * Use openSUSE-xfce icon theme which complements Adwaita
  * Don't show icons for buttons
  * Fixed whisker menu title
  * Update whisker menu settings
  * Update default whisker menu layout
  * Update defaults.rc
  * Add some more  popular favourites to Whisker Menu
  * Fix systray sizing
  * Fix thunar in helpers.rc
  * Update desktop file names
  * Disable desktop app and windowlist menus by default
  * Don't show icons in menus
- Make sure Adwaita cursor is used in QT applications boo#1178511
* Fri Nov 27 2020 Fabian Vogt <fvogt@suse.com>
- Make noto-coloremoji-fonts a soft dependency. This avoids having
  to break the dependency on the Rescue CD.
* Fri Oct  2 2020 Maurizio Galli <maurizio.galli@gmail.com>
- Make noto-sans-cjk-fonts a soft dependency
* Thu Oct  1 2020 Maurizio Galli <maurizio.galli@gmail.com>
- Make sure noto-sans-cjk-fonts is installed
* Wed Mar 11 2020 maurizio.galli@gmail.com
- Update to version 4.14+20200311:
  * Use elementary-xfce-darker by default
* Fri Feb 28 2020 maurizio.galli@gmail.com
- Update to version 4.14+20200228:
  * Use more appropriate xdg location for xfce-mimeapps.list
* Fri Feb 28 2020 maurizio.galli@gmail.com
- Update to version 4.14+20200228:
  * Use the correct notifyd theme name
  * Rename defaults.list to xfce-mimeapps.list
  * Make Greybird-geeko default theme of xfce4-notifyd
  * Systray to use 16px icons
* Sat Jan 18 2020 maurizio.galli@gmail.com
- Update to version 4.14+20200118:
  * Temporarily revert Firefox as default handler to address boo#1160869
* Sun Jan 12 2020 maurizio.galli@gmail.com
- Update to version 4.14+20200112:
  * set exo applications for mimetypes  (boo#1160683)
* Fri Jan 10 2020 maurizio.galli@gmail.com
- Update to version 4.14+20200110:
  * Improved application menus default structure
  * Add a README based on the one from branding
* Sun Dec 29 2019 maurizio.galli@gmail.com
- Update to version 4.14+20191230:
  * Set default cursor to Adwaita
* Fri Dec  6 2019 maurizio.galli@gmail.com
- Update to version 4.14+20191207:
  * Fix YaST desktop file
* Tue Oct  8 2019 maurizio.galli@gmail.com
- Update to version 4.14+20191008:
  * Fix YaST desktop file renamed upstream. Fixes boo#1153273
* Tue Oct  1 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Removed Requires: xfce4-splash-branding-openSUSE
- Removed obsolete macros
- Changed %%doc COPYING to %%license
* Thu Aug 15 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190815:
  * Add back legacy YaST desktop filenames for Leap 15
* Wed Aug 14 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190814:
  * Use new YaST desktop file names for application menu
* Sun Aug 11 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190811:
  * symlink button to prevent missing icon after update
* Thu Aug  8 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190808:
  * Panel defaut size at 24px
* Mon Aug  5 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190805:
  * Fixed icon resolutions
* Sun Aug  4 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190805:
  * Cleaned up pixmaps folder
  * Changed Whisker menu button icon
  * Restructured and improved button icons
  * set systray icon size to 22px
* Mon Jul 29 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190729:
  * xfce4-panel use upstream clock format
* Wed Jul 24 2019 maurizio.galli@gmail.com
- Update to version 4.14+20190725:
  * Make systray icon size 16px
  * Rebase keyboard shortcuts from upstream and add improvements
  * Update Whisker Menu title and icon
  * Added new button icons in svg format
  * Make panel tasklist group windows
  * use Greybird-Geeko-Light xfwm4 theme by default
  * Set greybird-Geeko-Light gtk theme as default
* Tue Jul  2 2019 maurizio.galli@gmail.com
- Update to version 4.13+20190703:
  * Remove splashscreen configs from xfce4-session.xml
  * Add Priorities to fix race conditions on startup
- Follow correct name guidelines for file name ("+" instead of "~")
- Use xz for source compression
* Mon May 13 2019 maurizio.galli@gmail.com
- Update to version 4.13~20190513:
  * Delete terminalrc as not needed for now
  * Make systray use square icons
  * make statusnotifier plugin use symbolic icons
- Updated URL in spec file
* Wed May  8 2019 Maurizio Galli <maurizio.galli@gmail.com>
- fixed path of terminalrc
* Sun Apr 28 2019 Maurizio Galli <maurizio.galli@gmail.com>
- make Firefox default instead of Midori (fix)
* Sat Apr 27 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Use xfce4-branding-openSUSE-4.13 source
  * adds xfce4-terminal color scheme
  * panel tasklist: show flat window buttons
* Mon Jan 21 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Change cursor to DMZ-Black to match system default.
  This change makes Yast no longer have a different cursor.
* Sun Dec 16 2018 Maurizio Galli <maurizio.galli@gmail.com>
- fixed panel plugins id to prevent issues with old configs
- resized xfwm4 titlebar font
  https://lists.opensuse.org/opensuse-xfce/2018-12/msg00003.html
- added Noto Sans in xfwm4 Requires
- status-notifier to use squared icons by default for better spacing
* Thu Dec  6 2018 Maurizio Galli <maurizio.galli@gmail.com>
- New default look:
  * Mint-Y-Teal-Darker GTK and xfwm4 theme
  * Elementary-xfce icon theme
  * Noto Sans as default font
  * Hack as default monospace font
  * Font hinting and rbg enabled by default
  * Changed default panel plugins
* Thu Nov 29 2018 Maurizio Galli <maurizio.galli@gmail.com>
- removed midori branding
* Thu Aug 16 2018 seife+obs@b1-systems.com
- xfce4-panel-branding-openSUSE:
  * add statusnotifier plugin
  * add notification plugin (from xfce4-notifyd)
* Wed Mar  7 2018 seife+obs@b1-systems.com
- revert last change, branding package has been fixed
* Sun Feb  4 2018 seife+obs@b1-systems.com
- fix openSUSE splash screen
* Tue Jan  2 2018 seife+obs@b1-systems.com
- fix spelling of "Adwaita" in index.theme (boo#1074269)
* Thu Dec 28 2017 florian.koch1981@gmail.com
- use adwaita-icon-theme instead of gnome-icon-theme
  as fallback icon theme
  The reasons for this change are that Upstream gnome no
  longer uses gnome-icon-theme, and to save space on te Thumbleweed
  rescue CD, requested by DimStar
  https://lists.opensuse.org/opensuse-xfce/2017-05/msg00000.html
- fix /etc/xfce_defaults.conf not declared as %%conf
* Wed Oct 11 2017 seife+obs@b1-systems.com
- use plugin-pulseaudio instead of plugin-mixer
- recommend pavucontrol and plugin-pulseaudio instead of xfe4-mixer
* Sun Oct  8 2017 seife+obs@b1-systems.com
- replace application-menu with whiskermenu
- brand whiskermenu suse style
- require whiskermenu from panel-branding-openSUSE
- fix obsoletes of exo-branding-openSUSE
* Sun Nov 27 2016 seife+obs@b1-systems.com
- fix exo-branding provides / obsoletes
* Sat Nov 26 2016 seife+obs@b1-systems.com
- adapt to changes in exo package (exo-1 subdir patch removed)
* Sat Mar 28 2015 gber@opensuse.org
- on >= 13.2 package-manager.desktop was renamed to
  yast2-packager.desktop (boo#892936)
* Sun Mar  1 2015 gber@opensuse.org
- bump version to 4.12
- lock screen on suspen/hibernate
* Thu Aug 21 2014 gber@opensuse.org
- xfce4-panel-plugin-xfce4battery was renamed to
  power-manager-plugin
* Tue Jul 29 2014 gber@opensuse.org
- recommend xfce4-panel-plugin-xfce4battery which is in the panel
  branding
* Tue Jun  3 2014 gber@opensuse.org
- fix critical power action and hdd spindown settings
* Mon Jun  2 2014 gber@opensuse.org
- adapt xfce4-power-manager branding to version 1.3.0
- fix typo
- rename source tarball removing the meaningless version
* Thu May  1 2014 gber@opensuse.org
- adjust to GTK 3 variant of libxfce4ui
* Sun Apr 27 2014 gber@opensuse.org
- remove support for openSUSE < 12.3
- add custom theme for xfce4-notifyd
* Tue Oct 29 2013 gber@opensuse.org
- improve suse_version overlay system
- add xfce4-power-manager-branding-openSUSE with default actions
  for button press events and critical battery levels
* Sat Oct  5 2013 gber@opensuse.org
- add support for 13.2, drop support for < 12.2
* Thu May  2 2013 gber@opensuse.org
- follow the exo package changes and rename exo-branding-openSUSE
  to libexo-1-0-branding-openSUSE and move helpers.rc in an
  API-versioned subdirectory
* Sun Mar 10 2013 gber@opensuse.org
- support openSUSE 13.1
* Tue Feb 19 2013 gber@opensuse.org
- fix an error in the openSUSE-Xfce index.theme file causing
  theme inheritance to fail
* Thu Jan 31 2013 gber@opensuse.org
- 12.3 specific xfce4-panel branding
- adapt to Terminal rename
- adapt to new name of the mixer plugin
* Mon Nov  5 2012 gber@opensuse.org
- remove support for openSUSE 11.4
* Mon Oct 22 2012 gber@opensuse.org
- disable automatic session saving by default and don't preselect
  session saving in the logout dialog since it causes problems such
  as bxo#5123
* Fri Oct 12 2012 gber@opensuse.org
- added audio-input-microphone-muted icon to openSUSE Xfce icon
  theme which is used by xfce4-mixer 4.10.0
* Thu Oct  4 2012 gber@opensuse.org
- on >= 12.2 depend on libgio-2_0-0 which provides the
  defaults.list symlink target
- on > 12.2 depend on desktop-file-utils which is now needed to
  generate defaults.list
- updated comment in xfce_defaults.conf
* Fri Sep  7 2012 dmueller@suse.com
- require desktop-data-openSUSE on openSUSE distros in
  the openSUSE branding
* Tue Jul 17 2012 coolo@suse.com
- own more directories to fix build of derived packages
* Sun Jul  1 2012 gber@opensuse.org
- remove submenus below Settings which are accessible through the
  xfce4-settings-manager
* Sat Jun 23 2012 gber@opensuse.org
- add xfce4-panel-plugin-mixer to the panel
* Tue Jun  5 2012 gber@opensuse.org
- add support for Xfce-specific MIME default associations
* Mon May  7 2012 gber@opensuse.org
- add back pager and reduce workspaces to two
* Thu May  3 2012 gber@opensuse.org
- remove the launchers from the panel and switch from action
  buttons to the actions menu
* Thu May  3 2012 gber@opensuse.org
- mark the global menus as config files, they may be edited by an
  administrator and should not be silently overwritten
- use actions menu rather than buttons in the panel
* Tue May  1 2012 gber@opensuse.org
- fix xfcemail and xfce-nomail icons
- rename %%{_datadir}/wallpapers/xfce/default.jpg to
  %%{_datadir}/wallpapers/xfce/default.wallpaper, the default
  wallpaper formats may differ and xfdesktop doesn't care about
  the filetype extension
* Mon Apr 30 2012 gber@opensuse.org
- remove ristretto icons and use the new icons provided by
  ristretto 0.6.0
* Sun Apr 29 2012 gber@opensuse.org
- added depenency of libgarcon-branding-openSUSE on
  libxfce4ui-tools snce the menu references xfce4-about.desktop
* Fri Apr 27 2012 gber@opensuse.org
- remove dependency of libgarcon-branding-openSUSE on
  libgarcon-data
- remove dependency of xfce4-panel-branding-openSUSE on exo-tools
* Fri Apr 27 2012 gber@opensuse.org
- added xfce-schedule icon
- bump version to 4.10
* Mon Apr 23 2012 gber@opensuse.org
- libgarcon-branding-openSUSE should have a reverse dependency on
  libgarcon-data rather than libgarcon-1-0
* Fri Apr 20 2012 gber@opensuse.org
- libxfce4ui-branding-openSUSE
  - added keyboard shortcuts for starting browser and MUA with
    XF86WWW and XF86Mail
  - use startup notification for xfce4-appfinder shortcuts
- xfce4-settings-branding-openSUSE
  - order the menus in xfce-settings-manager.menu
- xfwm4-branding-openSUSE
  - enable tiling
* Sun Apr 15 2012 gber@opensuse.org
- only build midori-branding-openSUSE for > 11.4 since Midori does
  not support 11.4 any more
- only depend on wallpaper-branding-openSUSE for > 11.4
* Sat Apr 14 2012 gber@opensuse.org
- make libgarcon-branding-openSUSE depend on libgarcon-data
* Sat Apr 14 2012 gber@opensuse.org
- added openSUSE-xfce-icon-theme which provides icons missing from
  gnome-icon-theme
- moved licenses into the tarballs
- xfce4-panel-branding-openSUSE
  - use internal clock plugin again
  - added new button images
    %%{_datadir}/pixmaps/xfce4-opensuse-light.png and
    %%{_datadir}/pixmaps/xfce4-opensuse-dark.png
- xfce4-session-branding-openSUSE
  - dropped xfce4-settings-helper which ash been removed
  - dropped xscreensaver which is now started via autostart
- xfwm4-branding-openSUSE
  - increased doubleclick time to 400ms
  - enabled composite by default
  - enabled shadows
- libgarcon-branding-openSUSE
  - reworked application menu and incorporated a customized
    xfce-settings-manager-menu
- xfce4-settings-branding-openSUSE
  - added customized
    %%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu which also
    includes non-Xfce settings
  - switch from the GNOME icon theme to the openSUSE Xfce icon
    theme
- xfdesktop-branding-openSUSE
  - deliver symlink %%{_datadir}/xfce4/backdrops/default.jpg
    pointing to the default backdrop image from
    wallpaper-branding-openSUSE which is now the compiled-in
    default and removed
    %%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml
    so that now all screens have the same default
- enabled thunar-volman-branding-openSUSE for 11.4
* Sun Apr  8 2012 gber@opensuse.org
- bump version to 4.9.0
- remove xfce4-tips autostart file
- add build dependencies on upstream branding to avoid ambiguities
* Sun Apr  1 2012 gber@opensuse.org
- added midori-branding-openSUSE
  - added openSUSE package search to the list of search engines
  - use opensuse.org as the default home page
* Sat Mar 31 2012 gber@opensuse.org
- own %%{_datadir}/desktop-directories/ for >= 12.1
* Fri Mar 30 2012 gber@opensuse.org
- enable GNOME compatibility mode in order to start gnome-keyring
  by default (bnc#754700)
- adapt to renamed packages
* Sun Jan 22 2012 gber@opensuse.org
- make the default panel opaque with compositing enabled
  (bnc#742766)
* Mon Jan  9 2012 cfarrell@suse.com
- license update: CC-BY-SA-3.0 and GPL-2.0+
  Indicate the aggregation of GPL-2.0+ and the CC licensed wallpapers
* Mon Dec 12 2011 coolo@suse.com
- fix license to be in spdx.org format
* Sun Oct 23 2011 gber@opensuse.org
- switch to final xfwm4 branding
* Tue Oct 18 2011 gber@opensuse.org
- make xfce4-panel-branding-openSUSE depend on
  xfce4-panel-plugin-datetime
* Tue Oct 18 2011 gber@opensuse.org
- use DateTime rather than Clock panel plugin
* Thu Oct 13 2011 gber@opensuse.org
- added thunar-volman-branding-openSUSE package for >= 12.1
* Tue Oct 11 2011 gber@opensuse.org
- rename
  /usr/share/desktop-directories/xfce-settings-system.directory to
  /usr/share/desktop-directories/xfce-administration.directory
  and add
  /usr/share/desktop-directories/xfce-preferences.directory
* Mon Oct 10 2011 gber@opensuse.org
- change /etc/xdg/menus/xfce-applications.menu to not show category
  PackageManager under System
- renamed COPYING.xfce4-splash-openSUSE-11.4
- created xfce4-branding-openSUSE-4.8.0-11.4.tar.bz2 for < 12.1
- switch to Adwaita as the new default theme for >= 12.1
- use wallpaper from new wallpaper-branding package
* Fri Oct  7 2011 gber@opensuse.org
- fix build failure by removing the splash on >= 12.1, also
  do not install the copyright file
* Fri Oct  7 2011 coolo@suse.com
- require the splash out of branding-openSUSE for 12.1+ to
  ease the update of artwork
* Tue Oct  4 2011 gber@opensuse.org
- fixed "Administration" menu for >= 12.1 (bnc#719826)
* Thu Feb 17 2011 gber@opensuse.org
- changed border/text-color of splash screen to match that of other
  GTK splash screens
* Tue Feb  8 2011 gber@opensuse.org
- included the final splashscreen
* Mon Feb  7 2011 gber@opensuse.org
- explicitly include xfce-settings-manager.desktop in the Settings
  menu since it is also in the X-XFCE category
* Thu Feb  3 2011 gber@opensuse.org
- stay at 4.8.0
* Thu Feb  3 2011 gber@opensuse.org
- determine versions of branded packages automatically
* Thu Feb  3 2011 gber@opensuse.org
- tweaked xfce4-session splash screen look a bit
* Thu Feb  3 2011 gber@opensuse.org
- bump libgarcon version
* Wed Feb  2 2011 gber@opensuse.org
- added temporary splash screen for xfce4-settings based on 11.3
  branding
- switch to Sonar theme
- added xfce4-branding-openSUSE
- replace exo- launches with launchers for the openSUSE default
  applications since items hidden in the main menu cannot be used
  as panel launchers
* Sun Jan 30 2011 gber@opensuse.org
- exclude X-XFCE category from the Settings menu as it will be
  shown inside the settings manager and exclude X-Xfce-Toplevel
  category from submenus
- merged some keyboard shortcut changes from libxfce4ui 4.8.0
- removed unused panel launcher desktop files
* Sun Jan 30 2011 gber@opensuse.org
- supplement libgarcon-1-0 rather than libgarcon
* Sat Jan 29 2011 gber@opensuse.org
- added exo-branding-openSUSE subpackage
* Thu Jan  6 2011 gber@opensuse.org
- fixed launchers
* Wed Jan  5 2011 gber@opensuse.org
- added branding for libgarcon, libxfce4ui, xfce4-notifyd
- obsoleted xfce4-desktop branding which is now provided by
  xfdesktop-branding
- split up in subpackages xfce4-panel-branding-openSUSE,
  xfce4-session-branding-openSUSE,
  xfce4-settings-branding-openSUSE, xfdesktop-branding-openSUSE,
  libgarcon-branding-openSUSE, libxfce4ui-branding-openSUSE,
  xfce4-notifyd-branding-openSUSE
* Thu Dec 23 2010 gber@opensuse.org
- temporarily removed menu again as it is currently provided by
  libgarcon
* Thu Dec 23 2010 gber@opensuse.org
- migrated panel settings to new format
- cleaned up menu
* Thu Dec  9 2010 prusnak@opensuse.org
- version bump to 4.8.0
* Wed Jun 23 2010 prusnak@opensuse.org
- add gtk2-metatheme-gilouche to Requires [bnc#616275]
* Sun Feb 14 2010 prusnak@suse.cz
- version bump to 4.7.1
* Wed Jan 13 2010 prusnak@novell.com
- version bump to 4.6.4
* Tue Nov 17 2009 prusnak@suse.cz
- version bump to 4.6.3
* Thu Aug 13 2009 puzel@novell.com
- require desktop-data instead of desktop-data-SuSE
* Wed Apr 22 2009 prusnak@suse.cz
- version bump to 4.6.1
* Mon Mar 16 2009 prusnak@suse.cz
- added branding for xfce4-panel
* Mon Mar  2 2009 prusnak@suse.cz
- updated to be compatible with Xfce 4.6.0 release
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Mon Jul 28 2008 prusnak@suse.cz
- added custom menus - /etc/xdg/xfce4/desktop/menu.xml.*
  (added contain YaST icon to Settings)
* Mon Jul  7 2008 prusnak@suse.cz
- xfce4-desktop-branding-openSUSE
  * added gtk2-theme-openSUSE to Requires
  * set icon theme and theme to Gilouche
* Tue May 13 2008 prusnak@suse.cz
- added COPYING license file
* Tue Apr 29 2008 prusnak@suse.cz
- subpackage xfce4-desktop-branding-openSUSE
  * sets default openSUSE wallpaper for Xfce
  * sets DMZ cursor theme for Xfce
* Tue Apr 29 2008 prusnak@suse.cz
- created package with openSUSE branding for XFCE
